> For the complete documentation index, see [llms.txt](https://docs.snowbridge.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.snowbridge.network/developers/snowbridge-v2/typescript-sdk/cases.md).

# SDK Cases

This page lists the route cases currently covered by the operations testcase matrix in [web/packages/operations/src/testcases/testAll.ts](https://github.com/Snowfork/snowbridge/blob/main/web/packages/operations/src/testcases/testAll.ts).

## Ethereum -> Polkadot

Examples covered:

* `ethereum:1 -> polkadot:1000` with `DOT`
* `ethereum:1 -> polkadot:2000` with `ETH`
* `ethereum:1 -> polkadot:2004` with `WETH`
* `ethereum:1 -> polkadot:2030` with `ETH`
* `ethereum:1 -> polkadot:2034` with `USDC`
* `ethereum:1 -> polkadot:2043` with `TRAC`
* `ethereum:1 -> polkadot:3369` with `MYTH`

## Polkadot -> Ethereum

Examples covered:

* `polkadot:1000 -> ethereum:1` with `DOT`
* `polkadot:2000 -> ethereum:1` with `ETH`
* `polkadot:2004 -> ethereum:1` with `WETH`
* `polkadot:2030 -> ethereum:1` with `ETH`
* `polkadot:2034 -> ethereum:1` with `USDC`
* `polkadot:2043 -> ethereum:1` with `TRAC`
* `polkadot:3369 -> ethereum:1` with `MYTH`
* `ethereum:1284 -> ethereum:1` with `WETH`

## L2 -> Polkadot

Examples covered:

* `ethereum_l2:10 -> polkadot:1000` with `ETH`
* `ethereum_l2:42161 -> polkadot:1000` with `WETH`
* `ethereum_l2:8453 -> polkadot:1000` with `USDC`

## Polkadot -> L2

Examples covered:

* `polkadot:1000 -> ethereum_l2:10` with `ETH`
* `polkadot:1000 -> ethereum_l2:42161` with `WETH`
* `polkadot:1000 -> ethereum_l2:8453` with `USDC`

## Inter-Parachain

Examples covered:

* `polkadot:1000 -> polkadot:2034` with `USDC`
* `polkadot:2034 -> polkadot:1000` with `USDC`

## Registration

Examples covered:

* Agent creation with `api.createAgent()`
* Token registration with `api.registerToken()`

## Common SDK Pattern

Most route cases follow the same pattern:

```typescript
const sender = api.sender(from, to)
const transfer = await sender.build(
    sourceAccount,
    beneficiaryAccount,
    tokenAddress,
    amount,
    options,
)
```

The returned `transfer.tx` can then be submitted to the wallet by your application.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.snowbridge.network/developers/snowbridge-v2/typescript-sdk/cases.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
